Bug 117856 - Mar 9 11:19:16 hostname ftpd[1851]: exiting on signal 11: Segmentation fault
Mar 9 11:19:16 hostname ftpd[1851]: exiting on signal 11: Segmentation fault
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: wu-ftpd (Show other bugs)
2.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-09 07:26 EST by Paulr
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-09 10:10:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paulr 2004-03-09 07:26:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
Segmentation fault on server end.

Client end.
------------------------------------------------------------------

--12:25:04-- 
ftp://ksftp:*password*@128.31.14.122/RedHat_ES2.1_updates/RPMS/ypserv-2.8-0.AS21E.i386.rpm
           => `ypserv-2.8-0.AS21E.i386.rpm'
==> CWD not required.
==> PASV ...
Error in server response, closing control connection.
Retrying.
 
--12:25:05-- 
ftp://ksftp:*password*@128.31.14.122/RedHat_ES2.1_updates/RPMS/ypserv-2.8-0.AS21E.i386.rpm
  (try: 2) => `ypserv-2.8-0.AS21E.i386.rpm'
Connecting to 128.31.14.122:21... connected.
Logging in as ksftp ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /RedHat_ES2.1_updates/RPMS ... done.
==> PASV ... done.    ==> RETR ypserv-2.8-0.AS21E.i386.rpm ... done.
Length: 121,853
 
100%[===============================================================================================>]
121,853        1.68M/s    ETA 00:00
 
12:25:06 (1.68 MB/s) - `ypserv-2.8-0.AS21E.i386.rpm' saved [121853]

---------------------------------------------------------------------

Server end

Mar  9 11:19:18 cslx1012 ftpd[1857]: exiting on signal 11:
Segmentation fault
Mar  9 11:19:18 cslx1012 ftpd[1861]: FTP LOGIN FROM
sylx1010.systems.uk.hsbc [128.9.59.25], ksftp
Mar  9 11:19:19 cslx1012 ftpd[1861]: exiting on signal 11:
Segmentation fault
Mar  9 11:19:19 cslx1012 ftpd[1858]: exiting on signal 11:
Segmentation fault
Mar  9 11:19:19 cslx1012 ftpd[1860]: exiting on signal 11:
Segmentation fault
Mar  9 11:19:19 cslx1012 ftpd[1862]: FTP LOGIN FROM
sylx1008.systems.uk.hsbc [128.9.59.23], ksftp
Mar  9 11:19:19 cslx1012 ftpd[1863]: FTP LOGIN FROM
sylx1009.systems.uk.hsbc [128.9.59.24], ksftp
Mar  9 11:19:20 cslx1012 ftpd[1862]: exiting on signal 11:
Segmentation fault
Mar  9 11:19:21 cslx1012 ftpd[1864]: FTP LOGIN FROM
sylx1007.systems.uk.hsbc [128.9.59.22], ksftp
Mar  9 11:19:21 cslx1012 ftpd[1863]: exiting on signal 11:
Segmentation fault
Mar  9 11:19:21 cslx1012 ftpd[1865]: FTP LOGIN FROM
sylx1010.systems.uk.hsbc [128.9.59.25], ksftp
Mar  9 11:19:21 cslx1012 ftpd[1864]: exiting on signal 11:
Segmentation fault
Mar  9 11:19:22 cslx1012 ftpd[1865]: exiting on signal 11:
Segmentation fault
Mar  9 11:19:22 cslx1012 ftpd[1859]: exiting on signal 11:
Segmentation fault

----



Version-Release number of selected component (if applicable):
wu-ftpd-2.6.1-22

How reproducible:
Always

Steps to Reproduce:
1.As above
2.
3.
    

Actual Results:  Segment fault

Additional info:
Comment 1 Thomas Woerner 2004-03-09 10:10:47 EST
Please have a look at:

http://people.redhat.com/twoerner/SRPMS/2.1AS/wu-ftpd-2.6.1-23.src.rpm
http://people.redhat.com/twoerner/RPMS/2.1AS/wu-ftpd-2.6.1-23.i386.rpm

Will soon be released as erratum.
Comment 2 Simon Brady 2004-03-10 14:20:16 EST
Rather than just dropping the bogus xferlog patch, could you please
include (after testing, of course) the updated one posted under bug
#115979? This will save you having to release yet another erratum to
fix that regression.
Comment 4 Didier DUSSART 2004-03-25 05:30:25 EST
form me the wu-ftpd-2.6.1-23.1.i386.rpm had resolved the problem.
Thank you. D. DUSSART
Comment 5 Thomas Woerner 2004-03-25 05:49:31 EST
Here are the errata packages with the fixed xferlog patch:

http://people.redhat.com/twoerner/SRPMS/2.1AS/wu-ftpd-2.6.1-23.2.src.rpm
http://people.redhat.com/twoerner/RPMS/2.1AS/wu-ftpd-2.6.1-23.2.i386.rpm

Note You need to log in before you can comment on or make changes to this bug.